﻿<%@ Assembly Name="$SharePoint.Project.AssemblyFullName$" %>
<%@ Import Namespace="Microsoft.SharePoint.ApplicationPages" %>
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="asp" Namespace="System.Web.UI" Assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SecureStoreSAPTest.aspx.cs" Inherits="SP2010SecureStoreSAP.ApplicationPages.SecureStoreSAPTestPage" DynamicMasterPageFile="~masterurl/default.master" %>

<asp:Content ID="PageHead" ContentPlaceHolderID="PlaceHolderAdditionalPageHead" runat="server">

</asp:Content>

<asp:Content ID="Main" ContentPlaceHolderID="PlaceHolderMain" runat="server">
<asp:Panel ID="MessagePanel" Visible="false" runat="server">
<table cellpadding="0" cellspacing="5" style="margin:10px">
	<tr><td class="ms-vb"><br /><asp:Label ID="ErrorLabel" ForeColor="Red" runat="server" /></td></tr>
</table>
</asp:Panel>
<table cellpadding="0" cellspacing="5" style="margin:10px">
	<tr><td class="ms-vb"><b>Secure Store Target Application ID</b>:<br /><asp:TextBox ID="ApplicationID" Text="SAPCredentialsStore" Width="200" runat="server" />&nbsp;<asp:Button ID="TestButton" OnClick="OnTestButtonClick" Text="Test" runat="server" /></td></tr>
	<tr><td class="ms-vb"><br /><asp:Label ID="OutputLabel" runat="server" /></td></tr>
	<tr><td class="ms-vb">
		<SharePoint:SPGridView ID="ResultGrid" AutoGenerateColumns="false" runat="server">
			<AlternatingRowStyle CssClass="ms-alternatingstrong" />
			<Columns>
				<asp:TemplateField HeaderText="KUNNR">
					<ItemStyle Width="10%" />
					<ItemTemplate><%# DataBinder.Eval(Container.DataItem, "KUNNR") %></ItemTemplate>
				</asp:TemplateField>
				<asp:TemplateField HeaderText="NAME1">
					<ItemStyle Width="30%" /><ItemTemplate><%# DataBinder.Eval(Container.DataItem, "NAME1") %></ItemTemplate>
				</asp:TemplateField>
				<asp:TemplateField HeaderText="STRAS">
					<ItemStyle Width="25%" /><ItemTemplate><%# DataBinder.Eval(Container.DataItem, "STRAS") %></ItemTemplate>
				</asp:TemplateField>
				<asp:TemplateField HeaderText="PSTLZ">
					<ItemStyle Width="10%" /><ItemTemplate><%# DataBinder.Eval(Container.DataItem, "PSTLZ") %></ItemTemplate>
				</asp:TemplateField>
				<asp:TemplateField HeaderText="ORT01">
					<ItemStyle Width="25%" /><ItemTemplate><%# DataBinder.Eval(Container.DataItem, "ORT01") %></ItemTemplate>
				</asp:TemplateField>
			</Columns>
		</SharePoint:SPGridView>
		</td></tr>
</table>		
</asp:Content>

<asp:Content ID="PageTitle" ContentPlaceHolderID="PlaceHolderPageTitle" runat="server">
Secure Store SAP Test Page
</asp:Content>

<asp:Content ID="PageTitleInTitleArea" ContentPlaceHolderID="PlaceHolderPageTitleInTitleArea" runat="server" >
Secure Store SAP Test Page
</asp:Content>
